Dash0 acquires Polar Signals

Manage Notification Channels

Create a new notification channel

post/api/notification-channels

Create a new notification channel for your organization.

bash
Sample requestcurl --request POST 'https://api.eu-west-1.aws.dash0.com/api/notification-channels' \
  --header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "kind": "Dash0NotificationChannel",
  "metadata": {
    "name": "Example"
  },
  "spec": {
    "type": "slack",
    "config": {
      "webhookURL": "https://example.com",
      "channel": "example"
    }
  }
}'

Request body required

A notification channel configuration wrapped in a CRD-like envelope. Follows the Dash0 resource convention with kind/metadata/spec structure.

stringrequired
"Dash0NotificationChannel"

Responses

The created notification channel

A notification channel configuration wrapped in a CRD-like envelope. Follows the Dash0 resource convention with kind/metadata/spec structure.

stringrequired
"Dash0NotificationChannel"